/// <reference types="react" />
import { ISplitProps } from './types';
/**
 * Component that will receive a split prop, connect on SplitContext and return treatment when SDK is ready.
 * @param props
 *
 * @example
 *
 * <Split name={'my-split'}>
 *   {(value: TreatmentWithConfig) => value.treatment === 'on' ? this.renderComponent() : null}
 * </Split>
 */
declare const Split: ({ name, children }: ISplitProps) => import("react").ReactNode;
export default Split;
